
package nccloud.bs.hrkq.hrkq.aggbusi.ace.bp;


import nccloud.bs.hrkq.hrkq.aggbusi.plugin.bpplugin.MonthOtTimeVOPluginPoint;
import nc.vo.hrkq.monthottime.AggMonthOtTimeVO;
import nc.impl.pubapp.pattern.data.bill.template.DeleteBPTemplate;
import nc.impl.pubapp.pattern.rule.processer.AroundProcesser;
import nc.impl.pubapp.pattern.rule.IRule;


/**
 * 标准单据删除BP
 */
public class AceMonthOtTimeVODeleteBP {

        public void delete(AggMonthOtTimeVO[] bills) {

                DeleteBPTemplate<AggMonthOtTimeVO> bp = new DeleteBPTemplate<AggMonthOtTimeVO>(
MonthOtTimeVOPluginPoint.DELETE);
                // 增加执行前规则
                this.addBeforeRule(bp.getAroundProcesser());
                // 增加执行后业务规则
                this.addAfterRule(bp.getAroundProcesser());
                bp.delete(bills);
        }

        private void addBeforeRule(AroundProcesser<AggMonthOtTimeVO> processer) {
                // TODO 前规则
//              IRule<AggMonthOtTimeVO> rule = null;
//              rule = new nc.bs.pubapp.pub.rule.BillDeleteStatusCheckRule();
//              processer.addBeforeRule(rule);
        }

        /**
         * 删除后业务规则
         *
         * @param processer
         */
        private void addAfterRule(AroundProcesser<AggMonthOtTimeVO> processer) {
                // TODO 后规则

        }
}
